- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- QRhiMetalNativeHandles
- Qt 6.8.3 Reference Documentation

# QRhiMetalNativeHandles Struct

Holds the Metal device used by the QRhi. More...

Header: | `#include <rhi/qrhi.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::GuiPrivate)`
qmake: | `QT += gui-private`
Since: | Qt 6.6
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

MTLCommandQueue * | cmdQueue
MTLDevice * | dev

## Detailed Description

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### MTLCommandQueue *QRhiMetalNativeHandles::cmdQueue

Set to a valid MTLCommandQueue when importing an existing command queue. When `nullptr`, QRhi will create a new command queue.

### MTLDevice *QRhiMetalNativeHandles::dev

Set to a valid MTLDevice to import an existing device.